package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 护理任务记录对象 care_nurse_records
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareNurseRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 护理任务记录表的唯一标识符 */
    private Long nursingRecordId;

    /** 护理业务数据id */
    @Excel(name = "护理业务数据id")
    private Long applyId;

    /** 护理日期 */
    @Excel(name = "护理日期")
    private String nursingTime;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setNursingRecordId(Long nursingRecordId) 
    {
        this.nursingRecordId = nursingRecordId;
    }

    public Long getNursingRecordId() 
    {
        return nursingRecordId;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setNursingTime(String nursingTime) 
    {
        this.nursingTime = nursingTime;
    }

    public String getNursingTime() 
    {
        return nursingTime;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("nursingRecordId", getNursingRecordId())
            .append("applyId", getApplyId())
            .append("nursingTime", getNursingTime())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
